GET /serviceengine/{uuid}/ipstat/

GET /serviceengine/{uuid}/ipstat/

/serviceengine/{uuid}/ipstat/

Request
URI
GET
https://{api_host}/api/serviceengine/{uuid}/ipstat
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns IpStatRuntime of type(s) application/json
{
    "ips_badaddr": 0,
    "ips_badhlen": 0,
    "ips_badlen": 0,
    "ips_badoptions": 0,
    "ips_badsum": 0,
    "ips_badtcpsum": 0,
    "ips_badudpsum": 0,
    "ips_badvers": 0,
    "ips_cantforward": 0,
    "ips_cantforward_sa": 0,
    "ips_cantfrag": 0,
    "ips_delivered": 0,
    "ips_fastforward": 0,
    "ips_forward": 0,
    "ips_fragdropped": 0,
    "ips_fragmented": 0,
    "ips_fragments": 0,
    "ips_fragtimeout": 0,
    "ips_incomplete_pkt": 0,
    "ips_ipsum_large": 0,
    "ips_large_pkt_cantfrag": 0,
    "ips_localout": 0,
    "ips_nogif": 0,
    "ips_noproto": 0,
    "ips_noroute": 0,
    "ips_notmember": 0,
    "ips_odropped": 0,
    "ips_ofragments": 0,
    "ips_rawout": 0,
    "ips_reassembled": 0,
    "ips_redirectsent": 0,
    "ips_tcpsum_large": 0,
    "ips_toolong": 0,
    "ips_tooshort": 0,
    "ips_toosmall": 0,
    "ips_total": 0,
    "ips_udpsum_large": 0,
    "proc_id": "string",
    "se_uuid": "string"
}
integer As uint64 As uint64
ips_badaddr
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_badhlen
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_badlen
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_badoptions
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_badsum
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_badtcpsum
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_badudpsum
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_badvers
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_cantforward
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_cantforward_sa
Optional

Packets dropped because of active security association. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_cantfrag
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_delivered
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_fastforward
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_forward
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_fragdropped
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_fragmented
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_fragments
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_fragtimeout
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_incomplete_pkt
Optional

Packets dropped because of missing next layer header. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_ipsum_large
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_large_pkt_cantfrag
Optional

Large packets dropped because of DF flag being set or interface don't support TSO. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_localout
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_nogif
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_noproto
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_noroute
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_notmember
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_odropped
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_ofragments
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_rawout
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_reassembled
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_redirectsent
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_tcpsum_large
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_toolong
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_tooshort
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_toosmall
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_total
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ips_udpsum_large
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
proc_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/ipstat
                
Service Engine Operations
GET
GET /serviceengine
GET
GET /serviceengine/{uuid}
PUT
PUT /serviceengine/{uuid}
PATCH
PATCH /serviceengine/{uuid}
DELETE
DELETE /serviceengine/{uuid}
POST
POST /serviceengine/{uuid}/reboot
POST
POST /serviceengine/{uuid}/forcedelete
POST
POST /serviceengine/{uuid}/switchover
POST
POST /serviceengine/clear
GET
GET /serviceengine/{uuid}/runtime/
GET
GET /serviceengine/{uuid}/runtime/detail/
GET
GET /serviceengine/{uuid}/internal/
GET
GET /serviceengine/{uuid}/ipstat/
GET
GET /serviceengine/{uuid}/arpstat/
GET
GET /serviceengine/{uuid}/icmpstat/
GET
GET /serviceengine/{uuid}/mbufstats/
GET
GET /serviceengine/{uuid}/mallocstats/
GET
GET /serviceengine/{uuid}/shmallocstats/
GET
GET /serviceengine/{uuid}/seassertstats/dp/
GET
GET /serviceengine/{uuid}/seassertstats/ag/
GET
GET /serviceengine/{uuid}/sevshbstats/
GET
GET /serviceengine/{uuid}/sevssplacement/
GET
GET /serviceengine/{uuid}/cpu/
GET
GET /serviceengine/{uuid}/cpu/detail/
GET
GET /serviceengine/{uuid}/meminfo/
GET
GET /serviceengine/{uuid}/interface/
GET
GET /serviceengine/{uuid}/systeminfo/
GET
GET /serviceengine/{uuid}/hugepageinfo/
GET
GET /serviceengine/{uuid}/bgp/
GET
GET /serviceengine/{uuid}/bgp/debug/
GET
GET /serviceengine/{uuid}/bgp/advertised_routes/
GET
GET /serviceengine/{uuid}/bgp/peer_status/
GET
GET /serviceengine/{uuid}/bgp/peer_info/
GET
GET /serviceengine/{uuid}/bgp/running_config/
GET
GET /serviceengine/{uuid}/bgp/peer_state/
GET
GET /serviceengine/{uuid}/bfd/running_config/
GET
GET /serviceengine/{uuid}/bfd/session_status/
GET
GET /serviceengine/{uuid}/interfacesummary/
GET
GET /serviceengine/{uuid}/interface/lacp/
GET
GET /serviceengine/{uuid}/lldp/
GET
GET /serviceengine/{uuid}/route/
GET
GET /serviceengine/{uuid}/ip6route/
GET
GET /serviceengine/{uuid}/arptable/
GET
GET /serviceengine/{uuid}/httpstats/
GET
GET /serviceengine/{uuid}/seruminsertionstats/
GET
GET /serviceengine/{uuid}/selogstats/
GET
GET /serviceengine/{uuid}/seauthstats/
GET
GET /serviceengine/{uuid}/vnicdb/
GET
GET /serviceengine/{uuid}/vnicdbhistory/
GET
GET /serviceengine/{uuid}/graphdb/
GET
GET /serviceengine/{uuid}/seagent/
GET
GET /serviceengine/{uuid}/resourcemap/
GET
GET /serviceengine/{uuid}/consistenthash/
GET
GET /serviceengine/{uuid}/appmap/
GET
GET /serviceengine/{uuid}/shardclientevents/
GET
GET /serviceengine/{uuid}/qatinfo/
GET
GET /serviceengine/{uuid}/rteringstat/
GET
GET /serviceengine/{uuid}/sehmprobedisable/
GET
GET /serviceengine/{uuid}/flowtablestat/
GET
GET /serviceengine/{uuid}/flowtable/
GET
GET /serviceengine/{uuid}/vshash/
GET
GET /serviceengine/{uuid}/flowtable_remote/
GET
GET /serviceengine/{uuid}/tcp-flows/
GET
GET /serviceengine/{uuid}/sctp-flows/
GET
GET /serviceengine/{uuid}/tcp-flows/detail/
GET
GET /serviceengine/{uuid}/sctp-flows/detail/
GET
GET /serviceengine/{uuid}/metrics/
GET
GET /serviceengine/{uuid}/metrics/detail/
GET
GET /serviceengine/{uuid}/metrics/debug/
GET
GET /serviceengine/{uuid}/metrics/debug/summary/
GET
GET /serviceengine/{uuid}/dosstat/
GET
GET /serviceengine/{uuid}/memdist/
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mbuf/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl_small/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/sefault/clear
GET
GET /serviceengine/{uuid}/placement/
GET
GET /serviceengine/{uuid}/reservedvs/
GET
GET /serviceengine/{uuid}/microservice/
GET
GET /serviceengine/{uuid}/ndtable/
GET
GET /serviceengine/{uuid}/ip6stat/
GET
GET /serviceengine/{uuid}/icmp6stat/
GET
GET /serviceengine/{uuid}/natstat/
GET
GET /serviceengine/{uuid}/nat-flows/
GET
GET /serviceengine/{uuid}/network-service/
GET
GET /serviceengine/{uuid}/natpolicystats/
GET
GET /serviceengine/{uuid}/vrf-ip-info/
GET
GET /serviceengine/{uuid}/ratelimiting/rl/internal/
GET
GET /serviceengine/{uuid}/ratelimiting/msf/internal/
GET
GET /serviceengine/{uuid}/routestat/
GET
GET /serviceengine/{uuid}/route-flows/
GET
GET /serviceengine/{uuid}/objsync/
GET
GET /serviceengine/{uuid}/resolverdb/
GET
GET /serviceengine/{uuid}/resolverdbsummary/
GET
GET /serviceengine/{uuid}/seagent_sedatastore_download_fail_obj_list/
GET
GET /serviceengine/{uuid}/botuacacheruntime/
GET
GET /serviceengine/{uuid}/botuacachestatsruntime/
GET
GET /serviceengine/{uuid}/placement/summary/
GET
GET /serviceengine/{uuid}/placement/detail/
GET
GET /serviceengine/{uuid}/adaptiveevents/
GET
GET /serviceengine/{uuid}/dpmetrics/
GET
GET /serviceengine/{uuid}/objsync_stats/
GET
GET /serviceengine/{uuid}/diameter/connections/
GET
GET /serviceengine/{uuid}/dump_objsync_stats/
GET
GET /serviceengine/{uuid}/qatstats/
GET
GET /serviceengine/{uuid}/flowtablestat6/
GET
GET /serviceengine/{uuid}/selogagentstats/
GET
GET /serviceengine/{uuid}/selogagentoperstats/
GET
GET /serviceengine/{uuid}/selogagentcontrollerinterfacestats/
GET
GET /serviceengine/{uuid}/selogagentnetworkstreamstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/details/
GET
GET /serviceengine/{uuid}/nicinfo/